Skip to main content
POST
/
v1
/
chatbots
/
chatbot
/
{chatbotId}
/
conversation-starters
Create Conversation Starter
curl --request POST \
  --url https://interhemispheric-unwet-paulene.ngrok-free.dev/api/v1/chatbots/chatbot/{chatbotId}/conversation-starters \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "buttonTitle": "<string>",
  "buttonMessage": "<string>",
  "linkText": "<string>",
  "linkSrc": "<string>"
}
'
{
  "success": true,
  "message": "Conversation starter created successfully",
  "data": {
    "id": "<string>",
    "chatbotId": "<string>",
    "rank": 123,
    "buttonTitle": "<string>",
    "buttonMessage": "<string>",
    "linkText": "<string>",
    "linkSrc": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}
Provide exactly one of the following combinations:
TypeRequired Fields
ButtonbuttonTitle + buttonMessage
LinklinkText + linkSrc
Rules:
  • Providing fields from both types returns 400 Cannot provide both button fields and link fields.
  • Providing neither type returns 400 Must provide either (buttonTitle + buttonMessage) or (linkText + linkSrc).
  • Providing only one field from a pair (e.g. buttonTitle without buttonMessage) returns 400 as well.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chatbotId
string
required

Body

application/json

Provide either (buttonTitle + buttonMessage) or (linkText + linkSrc) — not both.

buttonTitle
string

Button label shown in the chat widget

buttonMessage
string

Message sent to the bot when the button is clicked

Anchor text for a link-type starter

URL for a link-type starter

Response

Created

success
boolean
Example:

true

message
string
Example:

"Conversation starter created successfully"

data
object